from netforce.model import Model, fields

class HdcaseDialyzer(Model):
    _name="clinic.hd.case.dialyzer"
    _fields={
        "hd_case_id": fields.Many2One("clinic.hd.case","HdCase",required=True,on_delete="cascade"),
        "dialyzer_id": fields.Many2One("clinic.dialyzer","Dialzer",search=True),
        "description": fields.Char("Description",search=True),
        "use_time":fields.Integer("Use time"),
        "max_use_time":fields.Integer("Max use time"),
        "member_type": fields.Selection([("unsub","Unsub cellul"),("sub","Sub cellul"),("synthetic","Synthetic")],"Member Type",required=True),
        "dialyzer_type": fields.Selection([("low","low flux"),("high","high flux"),("dbl","dbl hifulx")],"Member Type",required=True),
        "bid_flow_rate": fields.Integer("Bid Flow Rate (ml/min)",required=True,search=True),
        "ultrafittration": fields.Float("Ultrafittration Kg.",required=True,search=True),
        "state":fields.Selection([("draft","New"),("active","Active"),("drop","Drop")],"Status"),
    }

HdcaseDialyzer.register()

